//const root = 'http://petrolpay.tasvietnam.vn:9985/api'
//const root = 'https://apigw.petropos.vn/api'
//const root = 'http://dcvf.tasvietnam.vn:9986/api'
//const root = 'https://apigw-v2.petropos.vn/api'
const root = 'https://apitest.petropos.vn/api'

export default {
    //Dang nhap,thong tin ca nhan
    urlLogin: `${root}/auth/adminLogin`,
    urlLogout: `${root}/auth/adminLogout`,
    urlChangePass: `${root}/auth/adminChangePass`,
    urlUpdateUser: `${root}/auth/adminUpdateUserInfo`,
    urlDetailUser: `${root}/auth/adminGetUserInfo`,
    urlGetOTP: `${root}/auth/sendCodeForgetAdmin`,
    urlConfirmOTP: `${root}/auth/confirmCodeForgetAdmin`,
    urlConfirmPass: `${root}/auth/changePassForgetAdmin`,

    //Chuc nang
    urlGetListFunction: `${root}/function/list`,
    urlCreateFunction: `${root}/function/create`,
    urlUpdateFunction: `${root}/function/update`,
    urlDeleteFunction: `${root}/function/delete`,
    urlDetailFunction: `${root}/function`,
    urlListFunctionPicker: `${root}/function/lstFunctionPermission`,
    changeStatusFunction: `${root}/function/changeStatus`,

    //Hanh dong
    urlGetListAction: `${root}/action/list`,
    urlCreateAction: `${root}/action/create`,
    urlUpdateAction: `${root}/action/update`,
    urlDeleteAction: `${root}/action/delete`,
    urlDetailAction: `${root}/action`,
    changeStatusAction: `${root}/action/changeStatus`,

    //Nhom nhan vien
    urlGetListGroup: `${root}/usergroup/list`,
    urlCreateGroup: `${root}/usergroup/create`,
    urlUpdateGroup: `${root}/usergroup/update`,
    urlDeleteGroup: `${root}/usergroup/delete`,
    urlDetailGroup: `${root}/usergroup`,
    urlListActionByGroup: `${root}/usergroup/permission`,
    changeStatusGroup: `${root}/usergroup/changeStatus`,

    // Tài khoản
    urlGetEmployee: `${root}/user/list`,
    urlCreateEmployee: `${root}/user/create`,
    urlUpdateEmployee: `${root}/user/update`,
    urlDeleteEmployee: `${root}/user/delete`,
    urlDetailEmployee: `${root}/user`,
    changeStatusEmployee: `${root}/user/changeStatus`,
    actionByGroup: `${root}/usergroup/permission`,

    //product-type
    urlGetListProductType: `${root}/poducttype/list`,
    urlCreateProductType: `${root}/poducttype/create`,
    urlUpdateProductType: `${root}/poducttype/update`,
    urlDeleteProductType: `${root}/poducttype/delete`,
    urlDetailProductType: `${root}/poducttype`,
    changeStatusProductType: `${root}/poducttype/changeStatus`,

    //product
    urlGetListProduct: `${root}/product/list`,
    urlCreateProduct: `${root}/product/create`,
    urlUpdateProduct: `${root}/product/update`,
    urlDeleteProduct: `${root}/product/delete`,
    urlDetailProduct: `${root}/product`,
    changeStatusProduct: `${root}/product/changeStatus`,
    listTransaction: `${root}/paymentTrans/list`,

    //merchant:
    urlGetListMerchant: `${root}/merchant/list`,
    urlCreateMerchant: `${root}/merchant/create`,
    urlUpdateMerchant: `${root}/merchant/update`,
    urlDeleteMerchant: `${root}/merchant/delete`,
    urlDetailMerchant: `${root}/merchant`,
    changeStatusMerchant: `${root}/merchant/changeStatus`,

    //Gas-Station

    urlGetListGasStation: `${root}/merchantstore/list`,
    urlCreateGasStation: `${root}/merchantstore/savedata`,
    urlUpdateGasStation: `${root}/merchantstore/savedata`,
    urlDeleteGasStation: `${root}/merchantstore/delete`,
    urlDetailGasStation: `${root}/merchantstore`,
    changeStatusGasStation: `${root}/merchantstore/changeStatus`,

    deleteGasOnline: `${root}/gasoline/delete`,
    deleteGasField: `${root}/gasfield/delete`,

    //Supplier Invoice
    urlGetListInvoiceSupp: `${root}/supplierInvoice/list`,
    urlCreateInvoiceSupp: `${root}/supplierInvoice/create`,
    urlUpdateInvoiceSupp: `${root}/supplierInvoice/update`,
    urlDeleteInvoiceSupp: `${root}/supplierInvoice/delete`,
    urlDetailInvoiceSupp: `${root}/supplierInvoice`,
    changeStatusInvoiceSupp: `${root}/supplierInvoice/changeStatus`,

    //supplier
    urlGetListSupplier: `${root}/supplierconstruction/paging`,
    urlCreateSupplier: `${root}/supplierconstruction/create`,
    urlUpdateSupplier: `${root}/supplierconstruction/update`,
    urlDeleteSupplier: `${root}/supplierconstruction/delete`,
    urlDetailSupplier: `${root}/supplierconstruction`,
    changeStatusSupplier: `${root}/supplierconstruction/changeStatus`,

    //Log
    logAuth: `${root}/logging/listLogin`,
    logApi: `${root}/logging/listCallApi`,
    logAction: `${root}/logging/listAction`,

    urlUploadFile: `${root}/upload/uploadfile`,

    listFee: `${root}/discountFee/list`,

    listRequest: `${root}/customerCare/list`,
    updateStatusRequest: `${root}/customerCare/changeStatus`,
    detailCustomerCare: `${root}/customerCare`,

    //landingpage
    urlGetListPackage: `${root}/package/paging`,
    urlCreatePackage: `${root}/package/create`,
    urlUpdatePackage: `${root}/package/update`,
    urlDeletePackage: `${root}/package/delete`,
    urlDetailPackage: `${root}/package`,
    changeStatusPackage: `${root}/package/changeStatus`,

    urlGetListPaymentCost: `${root}/paymentcosts/paging`,
    urlDetailPaymentCost: `${root}/paymentcosts`,
    acceptPaymentCost: `${root}/paymentcosts/paymentConfirm`,

    urlGetListPackageFunction: `${root}/functionpk/paging`,
    urlCreatePackageFunction: `${root}/functionpk/create`,
    urlUpdatePackageFunction: `${root}/functionpk/update`,
    urlDeletePackageFunction: `${root}/functionpk/delete`,
    urlDetailPackageFunction: `${root}/functionpk`,
    changeStatusPackageFunction: `${root}/functionpk/changeStatus`,

    urlGetListPriceProduct: `${root}/construction/paging`,
    urlCreatePriceProduct: `${root}/construction/create`,
    urlUpdatePriceProduct: `${root}/construction/update`,
    urlDeletePriceProduct: `${root}/construction/delete`,
    urlDetailPriceProduct: `${root}/construction`,
    changeStatusPriceProduct: `${root}/construction/changeStatus`,

    //dropdown
    dropdownFuntions: `${root}/dropdown/function`,
    dropdownPermission: `${root}/function/getFunctionTree`,
    dropdownBlogCategory: `${root}/dropdown/blogCategory`,
    dropdownDepartment: `${root}/dropdown/organization`,
    dropdownUserGroup: `${root}/dropdown/usergroup`,
    dropdownListActive: `${root}/dropdown/status`,
    dropdownProductType: `${root}/dropdown/productType`,
    dropdownProduct: `${root}/dropdown/productList`,
    dropdownStore: `${root}/dropdown/listStore`,
    dropdownMerchant: `${root}/dropdown/listmerchant`,
    dropdownProcutByType: `${root}/dropdown/productListByType`,
    dropdownListSupplier: `${root}/dropdown/listSupplier`,
    dropdownTypeCaculator: `${root}/dropdown/getlisttypecaculator`,
    dropdownTypeEquipment: `${root}/dropdown/getlisttypeatc`,
    dropdownNcc: `${root}/dropdown/getlistsuppliercontruct`,
    dropdownFuncitonPackge: `${root}/dropdown/getlistfunctionpk`,
}
